Crispo (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.common.server.session.Crispo class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.common.server.session
Class Crispo

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.common.server.session.Crispo

All Implemented Interfaces:
  java.io.Serializable

    public class Crispo

extends PersistedObject

A Crispo is a collection of String Key/Value pairs. The motivation behind its creation is to provide a real database storage mechanism for `ConfigResponse` objects.

See Also:
  Serialized Form

Constructor Summary
`protected` | `Crispo()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.util.Collection` | `getOptions()` Return a collection of `CrispoOption`s
`protected java.util.Collection` | `getOptsSet()`
`int` | `hashCode()`
`protected void` | `setOptsSet(java.util.Collection opts)`
`ConfigResponse` | `toResponse()` Create a new `ConfigResponse` based on the key/values stored within this object.

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Crispo

    protected Crispo()

Method Detail

### getOptions

    public java.util.Collection getOptions()

  Return a collection of `CrispoOption`s

### getOptsSet

    protected java.util.Collection getOptsSet()

### setOptsSet

    protected void setOptsSet(java.util.Collection opts)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PersistedObject`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PersistedObject`

### toResponse

    public ConfigResponse toResponse()

  Create a new `ConfigResponse` based on the key/values stored within this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.